Eclipse Platform Release 3.7

## org.eclipse.help.ui
Interface ISearchScopePage

All Superinterfaces:
  IDialogPage, IPreferencePage

All Known Implementing Classes:
  RootScopePage

    public interface ISearchScopePage

extends IPreferencePage

Preference pages that are used for editing help search scope settings should implement this interface.

Since:
  3.1

Method Summary
`void` `init(IEngineDescriptor ed, String scopeSetName)` Initializes the search scope page.

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### init

    void init(IEngineDescriptor ed,
              String scopeSetName)

  Initializes the search scope page.

  Parameters:
    `ed` - the descriptor of the engine associated with this page
    `scopeSetName` - the name of the current scope set that is used to group data shown in this page

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.